org.apache.uima.resource

## Interface ConfigurableDataResourceSpecifier

- All Superinterfaces:
    Cloneable, MetaDataObject, ResourceSpecifier, Serializable, XMLizable
  All Known Implementing Classes:
    ConfigurableDataResourceSpecifier_impl

      public interface ConfigurableDataResourceSpecifier
      extends ResourceSpecifier

  A type of `ResourceSpecifier` that locates a resource file using its URL.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceMetaData` | `getMetaData()` Gets the metadata for this resource, which includes descriptive information as well as configuration settings.
    `String` | `getUrl()` Retrieves the URL of the data.
    `void` | `setMetaData(ResourceMetaData aMetaData)` Sets the metadata for this resource.
    `void` | `setUrl(String aUrl)` Sets the URL of the data.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getUrl

          String getUrl()

      Retrieves the URL of the data.
      Returns:
        a URL string

    - #### setUrl

          void setUrl(String aUrl)

      Sets the URL of the data.
      Parameters:
        `aUrl` - a URL string

    - #### getMetaData

          ResourceMetaData getMetaData()

      Gets the metadata for this resource, which includes descriptive information as well as configuration settings.
      Returns:
        the metadata for this resource

    - #### setMetaData

          void setMetaData(ResourceMetaData aMetaData)

      Sets the metadata for this resource.
      Parameters:
        `aMetaData` - metadata to assign

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.